> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytldw.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all media in a collection



## OpenAPI

````yaml get /collections/{collection_id}/media
openapi: 3.1.0
info:
  title: tl;dw
  version: 0.0.1
  x-logo:
    url: https://app.trytldw.ai/static/images/sidebar_logo.svg
    backgroundColor: transparent
    altText: tl;dw Logo
  contact:
    name: tl;dw Support
    url: https://app.trytldw.ai/support
  termsOfService: https://app.trytldw.ai/terms
  x-apisguru-categories:
    - video
    - ai
servers:
  - url: https://api.trytldw.ai/v1
security: []
tags:
  - name: Collection
    description: Collection
  - name: Video
    description: Media
  - name: Account
    description: Account
paths:
  /collections/{collection_id}/media:
    get:
      tags:
        - Manage Collections
      summary: Retrieve all media in a collection
      operationId: get_collection_collections__collection_id__media_get
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            title: Collection Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            description: The page number to retrieve (0-indexed)
            default: 0
            title: Page
          description: The page number to retrieve (0-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            description: The number of results per page
            default: 50
            title: Page Size
          description: The number of results per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCollectionResponse'
        '404':
          description: Collection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetCollectionResponse:
      properties:
        media:
          items:
            $ref: '#/components/schemas/MediaStub'
          type: array
          title: Media
          examples:
            - - external_id: Video Title
                id: c1a2b3c4-1a2b-3c4d-5e6f-7g8h9i0j1k2l
                status: COMPLETED
        pagination:
          $ref: '#/components/schemas/Pagination'
          examples:
            - page: 0
              page_size: 50
              total_results: 1
      type: object
      required:
        - media
        - pagination
      title: GetCollectionResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MediaStub:
      properties:
        id:
          type: string
          title: Id
          description: >-
            The ID of the video. Use this ID to retrieve task status, metadata
            and embedding of video
          examples:
            - c1a2b3c4-1a2b-3c4d-5e6f-7g8h9i0j1k2l
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          examples:
            - video_12345
        status:
          $ref: '#/components/schemas/MediaStatus'
          description: The status of the video understanding (e.g. indexing, embedding) job
      type: object
      required:
        - id
        - external_id
        - status
      title: MediaStub
    Pagination:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total_results:
          type: integer
          title: Total Results
      type: object
      required:
        - page
        - page_size
        - total_results
      title: Pagination
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MediaStatus:
      type: string
      enum:
        - PENDING
        - PROCESSING
        - COMPLETED
        - FAILED
      title: MediaStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````